







#import "TryBigWarnCubeCell.h"
#define overdue(ear) __weak typeof(ear) weak##ear = ear;
#define thumbMask(ear) __strong typeof(ear) ear = weak##ear;

@interface TryBigWarnCubeCell()



@property (nonatomic, strong) NSTimer *stamp;

@property (nonatomic, assign) BOOL tapAllOnlyThat;

@end

@implementation TryBigWarnCubeCell

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:CGRectZero];
    if (self) {
        
        _skinSaySize = CGSizeMake(200, 40);
        _coverEastAny = 4;
        _model = nil;
        _channelCount = 3;
        _online = 0;
        _gallonRestored = 0;
        _status = EarlyStrokedAudiencesOptionWaxLayer;
        _tapAllOnlyThat = NO;
        
    }
    return self;
}

- (void)malayHelpersKitViewSynthesisValue
{
    CGFloat icyGiven = [[self.layer presentationLayer] frame].origin.x;
    CGFloat funkGetWidth = self.frame.size.width;
    
    
    CGFloat speed = (self.superview.frame.size.width + funkGetWidth) / self.coverEastAny;
    
    
    CGFloat pinchPairTime = funkGetWidth / speed;
    
    if (_gallonRestored > 0) {
        self.status = TapEyeSoloReaderGracefulAudiences;
        if (-1< icyGiven < 1) {
            
            if (_tapAllOnlyThat) { return;}
            _tapAllOnlyThat = YES;
            [self pause];
            [self performSelector:@selector(resume) withObject:nil afterDelay:_gallonRestored];
            [self performSelector:@selector(forIcyStatus) withObject:nil afterDelay:_gallonRestored - pinchPairTime];
        }
    }
}
- (void)forIcyStatus
{
    self.status = LocalInjectionSemanticsEmergencyReceivedThirteen;
}

- (void)discountsPlayableLocalizesAngleTatar:(void(^)(void))animations completion:(void(^)(BOOL))completion
{
    self.status = LocalInjectionSemanticsEmergencyReceivedThirteen;
    
    _stamp = [NSTimer timerWithTimeInterval:0.01 target:self selector:@selector(malayHelpersKitViewSynthesisValue) userInfo:nil repeats:YES];
    [[NSRunLoop currentRunLoop] addTimer:_stamp forMode:NSRunLoopCommonModes];
    
    
    overdue(self);
    [UIView animateWithDuration:self.coverEastAny delay:0 options:(UIViewAnimationOptionCurveLinear | UIViewAnimationOptionAllowUserInteraction) animations:^{
        
        if (animations) {
            animations();
        }
        
    } completion:^(BOOL finished) {
        thumbMask(self);
        self->_status = LocalInjectionSemanticsEmergencyReceivedThirteen;
        
        if (completion) {
            completion(finished);
        }
        
        if(self->_stamp) {
            [self->_stamp invalidate];
            self->_stamp = nil;
        }
        
    }];
}

- (void)pause
{
    
    CFTimeInterval inputTime = [self.layer convertTime:CACurrentMediaTime() fromLayer:nil];
    
    
    self.layer.timeOffset = inputTime;
    
    
    self.layer.speed = 0;
}

- (void)resume
{
    
    CFTimeInterval inputTime = self.layer.timeOffset;
    
    CFTimeInterval editorialWorld = CACurrentMediaTime() - inputTime;
    
    self.layer.timeOffset = 0;
    
    self.layer.beginTime = editorialWorld;
    
    self.layer.speed = 1;
}


@end
